%define name gengetopt
%define version 2.22.6
%define release %mkrel 2

Summary: GNU gengetopt generates command line parsers
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://ftp.gnu.org/gnu/gengetopt/%{name}-%{version}.tar.gz
License: GPL
Group: Development/C
URL: http://www.gnu.org/software/gengetopt/gengetopt.html
BuildRequires: flex

%description
This program generates a C function that uses getopt_long function to parse
the command line options, to validate them and fills a struct.

Thus your program can now handle options such as:

myprog --input foo.c -o foo.o --no-tabs -i 100 *.class

And both long options (those that start with --) and short options (start
with - and consist of only one character) can be handled. For standards
about short and long options you may want to take a look at the GNU Coding
Standards.

%prep
%setup -q

%build
%configure2_5x
make

%check
%make check

%install
%makeinstall_std

%post
%_install_info %name.info

%postun
%_remove_install_info %name.info

%files
%doc %{_docdir}/%{name}/*
%_bindir/gengetopt
%_datadir/gengetopt/
%_mandir/man1/gengetopt.1*
%_infodir/gengetopt.info*


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 2.22.6-2.mga3
+ Revision: 351330
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 09 2012 fwang <fwang> 2.22.6-1.mga3
+ Revision: 316530
- new version 2.22.6

  + mcb30 <mcb30>
    - imported package gengetopt

